GNU bug report logs - #47613
[PATCH] add parmetis

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Franck Pérignon <Franck.Perignon@HIDDEN>; Keywords: fixed patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 47613 <at> debbugs.gnu.org and Franck Pérignon <Franck.Perignon@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47613 <at> debbugs.gnu.org:


Received: (at 47613) by debbugs.gnu.org; 8 Apr 2021 07:16:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 03:16:47 2021
Received: from localhost ([127.0.0.1]:45910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUOuF-0004HA-Id
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 03:16:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lUOuD-0004Gv-Pm
 for 47613 <at> debbugs.gnu.org; Thu, 08 Apr 2021 03:16:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35394)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lUOu8-00052C-7v; Thu, 08 Apr 2021 03:16:40 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=57494 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lUOu7-0002NW-BR; Thu, 08 Apr 2021 03:16:39 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Franck =?utf-8?Q?P=C3=A9rignon?= <Franck.Perignon@HIDDEN>
Subject: Re: bug#47613: =?utf-8?Q?=5BPATCH=5D=C2=A0add?= parmetis
References: <F54E8E4E-1750-4BB9-9676-8E70195ECDFF@HIDDEN>
 <YGyd353ZxjBzLw29@HIDDEN>
 <345E7B86-C347-4EC5-83AB-7D0C6D800489@HIDDEN>
Date: Thu, 08 Apr 2021 09:16:36 +0200
In-Reply-To: <345E7B86-C347-4EC5-83AB-7D0C6D800489@HIDDEN>
 ("Franck =?utf-8?Q?P=C3=A9rignon=22's?= message of "Wed, 7 Apr 2021
 16:02:03 +0200")
Message-ID: <87blapfdpn.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47613
Cc: 47613 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Franck,

Franck P=C3=A9rignon <Franck.Perignon@HIDDEN> skribis:

> Regarding the license, I missed this. Is it possible to directly attached=
 the LICENSE.txt in the guix recipe ? If so, what=E2=80=99s the proper synt=
ax ?

Guix proper only includes free software:

  https://guix.gnu.org/manual/en/html_node/Software-Freedom.html

So I=E2=80=99m afraid we cannot get Parmetis in Guix until it=E2=80=99s fre=
e (it would
be interesting to discuss this with the authors).  :-/

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#47613; Package guix-patches. Full text available.

Message received at 47613 <at> debbugs.gnu.org:


Received: (at 47613) by debbugs.gnu.org; 7 Apr 2021 14:02:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 10:02:13 2021
Received: from localhost ([127.0.0.1]:44974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lU8l2-0003zm-On
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 10:02:13 -0400
Received: from zm-mta-out-3.u-ga.fr ([152.77.200.56]:50198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Franck.Perignon@HIDDEN>)
 id 1lU8l0-0003zT-7X
 for 47613 <at> debbugs.gnu.org; Wed, 07 Apr 2021 10:02:11 -0400
Received: from zm-mta-out.u-ga.fr (zm-mta-out.u-ga.fr [152.77.200.53])
 by zm-mta-out-3.u-ga.fr (Postfix) with ESMTP id EB32F41495;
 Wed,  7 Apr 2021 16:02:03 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=univ-grenoble-alpes.fr; s=2020; t=1617804123;
 bh=j7NJNqFx085Ica8zFQOBtBCdpYXUWtfetM0dqGu+qiA=;
 h=From:Subject:Date:In-Reply-To:Cc:To:References:From;
 b=xgZXdPuEh/2UCFmfDLl71iqz6DQZmdTTEa7nBSulrOgeeAXGISmuce8Kc1lmqIn3T
 5pc0B3FWEWIZWlDGH48OyPMqjJuBXchrp2ANnrajwcf1IBFuPf5rGP+UzHPPVvGwz1
 Rg6ajdc/5iOCWl9m+WwT9r1V+c5GtHNwRpN6aVrnogXEOz93QWKM3u+B2Kj2Xfcfex
 ikaJpyY+BuTRSkfq6Sp2Znb2tELJ8DYIsSohHAM5W6X/RIP0B+frr8Il7+mq7AEyDP
 r+N9QkmDdRf2N8G3vn13WatGbWNPrfzDYqT7hiP9nG2goQ8bl8Rw2TcLKexzRk1ssw
 izDRlqxCaRbRA==
Received: from smtps.univ-grenoble-alpes.fr (smtps1.u-ga.fr [152.77.1.30])
 by zm-mta-out.u-ga.fr (Postfix) with ESMTP id E40D880316;
 Wed,  7 Apr 2021 16:02:03 +0200 (CEST)
Received: from [192.168.0.44] (91-170-36-193.subs.proxad.net [91.170.36.193])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: perignfr@HIDDEN)
 by smtps.univ-grenoble-alpes.fr (Postfix) with ESMTPSA id C8CF4187E0F;
 Wed,  7 Apr 2021 16:02:03 +0200 (CEST)
From: =?utf-8?Q?Franck_P=C3=A9rignon?= <Franck.Perignon@HIDDEN>
Message-Id: <345E7B86-C347-4EC5-83AB-7D0C6D800489@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_90C5B577-3474-4852-8B28-2477E473CEC9"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.60.0.2.21\))
Subject: =?utf-8?B?UmU6IFtidWcjNDc2MTNdIFtQQVRDSF3CoGFkZCBwYXJtZXRpcw==?=
Date: Wed, 7 Apr 2021 16:02:03 +0200
In-Reply-To: <YGyd353ZxjBzLw29@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
References: <F54E8E4E-1750-4BB9-9676-8E70195ECDFF@HIDDEN>
 <YGyd353ZxjBzLw29@HIDDEN>
X-Mailer: Apple Mail (2.3654.60.0.2.21)
X-Greylist: Whitelist-UGA SMTP Authentifie (perignfr@HIDDEN)
 via smtps-465 ACL (110)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47613
Cc: 47613 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_90C5B577-3474-4852-8B28-2477E473CEC9
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Thanks for the review (of this and of scotch-shared)

Yes, you=E2=80=99re right, gcc native-inputs can be removed and yes, =
it=E2=80=99s probably better to avoid hard-coding version string
A new patch is attached that works for me.

Regarding the license, I missed this. Is it possible to directly =
attached the LICENSE.txt in the guix recipe ? If so, what=E2=80=99s the =
proper syntax ?

Thanks


--Apple-Mail=_90C5B577-3474-4852-8B28-2477E473CEC9
Content-Disposition: attachment;
	filename=0002-fix-parmetis.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0002-fix-parmetis.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=20f056bb21841032d769bf075be9da1a49f61c2d0f=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20=3D?UTF-8?q?Franck=3D20P=3DC3=3DA9rignon?=3D=0A=
=20<Franck.Perignon@HIDDEN>=0ADate:=20Wed,=207=20Apr=20=
2021=2013:52:52=20+0000=0ASubject:=20[PATCH=202/2]=20fix=20parmetis=0A=0A=
---=0A=20gnu/packages/maths.scm=20|=209=20+++++----=0A=201=20file=20=
changed,=205=20insertions(+),=204=20deletions(-)=0A=0Adiff=20--git=20=
a/gnu/packages/maths.scm=20b/gnu/packages/maths.scm=0Aindex=20=
1a177e0389..564e2789f9=20100644=0A---=20a/gnu/packages/maths.scm=0A+++=20=
b/gnu/packages/maths.scm=0A@@=20-3419,16=20+3419,17=20@@=20schemes.")=0A=20=
=20=20=20=20=20=20=20=20(base32=0A=20=20=20=20=20=20=20=20=20=20=
"0pvfpvb36djvqlcc3lq7si0c5xpb2cqndjg8wvzg35ygnwqs5ngj"))))=0A=20=20=20=20=
=20(build-system=20cmake-build-system)=0A-=20=20=20=20(native-inputs=20=
`(("gcc"=20,gcc)=0A-=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20("openmpi"=20,openmpi)))=0A+=20=20=20=20(native-inputs=20=
`(("openmpi"=20,openmpi)))=0A=20=20=20=20=20(arguments=0A=20=20=20=20=20=20=
`(#:tests?=20#f=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20;no=20tests=0A=20=20=20=20=20=20=20=20#:configure-flags=20=
`("-DSHARED=3DON"=0A=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20,"-DCMAKE_C_COMPILER=3Dmpicc"=0A=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
,"-DCMAKE_CXX_COMPILER=3Dmpic++"=0A=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
,"-DCMAKE_VERBOSE_MAKEFILE=3D1"=0A-=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20,(string-append=20=
"-DGKLIB_PATH=3D../parmetis-4.0.3/metis/GKlib")=0A-=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20,(string-append=20=
"-DMETIS_PATH=3D../parmetis-4.0.3/metis"=20))))=0A+=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20,(string-append=20=
"-DGKLIB_PATH=3D../parmetis-"=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20,(package-version=20parmetis)=20"/metis/GKlib")=0A+=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
,(string-append=20"-DMETIS_PATH=3D../parmetis-"=0A+=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20,(package-version=20parmetis)=20=
"/metis"))))=0A=20=20=20=20=20(home-page=20=
"http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview")=0A=20=20=20=20=
=20(synopsis=20"Parallel=20Graph=20Partitioning=20and=20Fill-reducing=20=
Matrix=20Ordering")=0A=20=20=20=20=20(description=0A--=20=0A2.25.1=0A=0A=

--Apple-Mail=_90C5B577-3474-4852-8B28-2477E473CEC9
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8







> Le 6 avr. 2021 =C3=A0 19:43, Leo Famulari <leo@HIDDEN> a =C3=A9cr=
it :
>=20
> Subject: [PATCH] [PATCH] Add parmetis
>=20
> Thanks!
>=20
>=20
> +    (build-system cmake-build-system)
> +    (native-inputs `(("gcc" ,gcc)
> +                     ("openmpi" ,openmpi)))
>=20
> GCC is made available via the cmake-build-system, so I think we could
> leave it out of native-inputs. Or am I missing something?
>=20

> +    (arguments
> +     `(#:tests? #f                      ;no tests
> +       #:configure-flags `("-DSHARED=3DON"
> +                           ,"-DCMAKE_C_COMPILER=3Dmpicc"
> +                           ,"-DCMAKE_CXX_COMPILER=3Dmpic++"
> +                           ,"-DCMAKE_VERBOSE_MAKEFILE=3D1"
> +                           ,(string-append =
"-DGKLIB_PATH=3D../parmetis-4.0.3/metis/GKlib")
> +                           ,(string-append =
"-DMETIS_PATH=3D../parmetis-4.0.3/metis" ))))
>=20
> We can avoid hard-coding the version string here, like this:
>=20
> ------
> diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
> index bdfa051db1..f0ebdd6009 100644
> --- a/gnu/packages/maths.scm
> +++ b/gnu/packages/maths.scm
> @@ -3348,8 +3348,10 @@ schemes.")
>                            ,"-DCMAKE_C_COMPILER=3Dmpicc"
>                            ,"-DCMAKE_CXX_COMPILER=3Dmpic++"
>                            ,"-DCMAKE_VERBOSE_MAKEFILE=3D1"
> -                           ,(string-append =
"-DGKLIB_PATH=3D../parmetis-4.0.3/metis/GKlib")
> -                           ,(string-append =
"-DMETIS_PATH=3D../parmetis-4.0.3/metis" ))))
> +                           ,(string-append =
"-DGKLIB_PATH=3D../parmetis-"
> +                                           ,(package-version =
this-version) "/metis/GKlib"))
> +                           ,(string-append =
"-DMETIS_PATH=3D../parmetis-"
> +                                           ,(package-version =
this-version) "/metis"))))
>     (home-page =
"http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview")
>     (synopsis "Parallel Graph Partitioning and Fill-reducing Matrix =
Ordering")
>     (description
> ------
>=20
> +    (license license:asl2.0)))
>=20
> There is a problem with the licensing, however. In the source code,
> LICENSE.txt contains this:
>=20
> ------
> Copyright & License Notice
> --------------------------
>=20
> The ParMETIS package is copyrighted by the Regents of the=20
> University of Minnesota. It can be freely used for educational and=20
> research purposes by non-profit institutions and US government=20
> agencies only. Other organizations are allowed to use ParMETIS=20
> only for evaluation purposes, and any further uses will require prior=20=

> approval. The software may not be sold or redistributed without prior=20=

> approval. One may make copies of the software for their use provided=20=

> that the copies, are not sold or distributed, are used under the same=20=

> terms and conditions.
>=20
> As unestablished research software, this code is provided on an =20
> ``as is'' basis without warranty of any kind, either expressed or
> implied. The downloading, or executing any part of this software
> constitutes an implicit agreement to these terms. These terms and=20
> conditions are subject to change at any time without prior notice.
> ------
>=20
> I saw in 'metis/Changelog' that a relicensing to Apache 2 was done for
> the "metis" program in version 5.0.3. But, this is "parmetis", version
> 4.0.3.
>=20
> If the copyright owners intend to release this as free software, they
> need to change the 'LICENSE.txt' file.


--Apple-Mail=_90C5B577-3474-4852-8B28-2477E473CEC9--




Information forwarded to guix-patches@HIDDEN:
bug#47613; Package guix-patches. Full text available.

Message received at 47613 <at> debbugs.gnu.org:


Received: (at 47613) by debbugs.gnu.org; 6 Apr 2021 17:44:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 13:44:13 2021
Received: from localhost ([127.0.0.1]:41691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTpkL-00086S-Ca
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 13:44:13 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:43985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lTpkG-000869-LS
 for 47613 <at> debbugs.gnu.org; Tue, 06 Apr 2021 13:44:12 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 96D2C133D;
 Tue,  6 Apr 2021 13:44:02 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Tue, 06 Apr 2021 13:44:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=HPFK/nOYIGIYotJ9Lhtoh05d
 yXn0yEqdOBuXCYXqTjA=; b=qXVQQvEpscSKxbf70Rb2UcfdWuoqdS9wP5wSGidX
 NXqf6baUNasHknIDH4B8Fj9ozXs7/w31tQ/XvEVVu9cKpS5ZJcRsSAILo3lgdq1K
 LXv3YNsFC+5pedOnmjFIWD3jK6S/E8BATpMyUe+BcBwQUb70n13I+Miaj+nraz+i
 8tI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=HPFK/n
 OYIGIYotJ9Lhtoh05dyXn0yEqdOBuXCYXqTjA=; b=iL6Plpdm8rUVEv8LgXZQPm
 R39fEljhtlMhydpRGNN1nOjakTjenMkNZB629za60JWgMXhVUmIjw4eEefDEHzUa
 fttJTOg48h1yJvvYC+tMgAt+UMNtKT19aljL9Ge3yfoWQkTzsoJ+ykZCMewaRn2e
 rl0sTsVuQnu/k+7mBaOwKt8LFyuYTgCsgw01hr+hbl+TUeyf+/cXLcFkX/UzSk3j
 m1JEzW2HejVHUv/PuNHOtBPhKIXQvqKfcjQ8TkUYggEhAryDhn0AnQ5+Sx/1DCAZ
 V41w6z7qp4jgcp/2J767KR8pZ+oBqTKXAybSoq2ibTkk2PXXykwpPCzj813nn/bw
 ==
X-ME-Sender: <xms:4Z1sYOuoiDS2aE4mDpzcKdfjl2ReB14cvelJ3RdlStxWlIwkbdLTLA>
 <xme:4Z1sYHz5LkYYdRaDNWcH5ShhhVtXkcK8p8B8Wq4f30CFTdiqmxU1je6ZKbi7NqpY5
 fxfSVH76q5dCib-XA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejhedgieefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehttdertddttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpedufeeutdehtdffiefhffduveettddvieehueeghfeufedtvdffgeekkeelvdff
 heenucffohhmrghinhepuhhmnhdrvgguuhenucfkphepuddttddruddurdduieelrdduud
 eknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplhgv
 ohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:4Z1sYI5UCniwBEUClbZbE9mhVxti9tdBX3Pqv6J7BTNME2xxSiiJ1g>
 <xmx:4Z1sYBWMFy2CBmzdOQe5UIAI6NdHmhIvxMwRiBcdNrb6ufUaw6W0ZQ>
 <xmx:4Z1sYE2Lu-hsc0tVA5A35l3Ene5SxbN9ffpLQ6QohxobvnuoVVctXw>
 <xmx:4p1sYDuXlK3YqzGaFOiUCxaIyneBPuTJDdeGxzaj5Y4MHIANemSgkg>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 61DAC240057;
 Tue,  6 Apr 2021 13:44:01 -0400 (EDT)
Date: Tue, 6 Apr 2021 13:43:59 -0400
From: Leo Famulari <leo@HIDDEN>
To: Franck =?iso-8859-1?Q?P=E9rignon?= <Franck.Perignon@HIDDEN>
Subject: Re: [bug#47613] =?iso-8859-1?Q?=5BPATCH=5D?= =?iso-8859-1?Q?=A0add?=
 parmetis
Message-ID: <YGyd353ZxjBzLw29@HIDDEN>
References: <F54E8E4E-1750-4BB9-9676-8E70195ECDFF@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <F54E8E4E-1750-4BB9-9676-8E70195ECDFF@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47613
Cc: 47613 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Subject: [PATCH] [PATCH] Add parmetis

Thanks!


+    (build-system cmake-build-system)
+    (native-inputs `(("gcc" ,gcc)
+                     ("openmpi" ,openmpi)))

GCC is made available via the cmake-build-system, so I think we could
leave it out of native-inputs. Or am I missing something?

+    (arguments
+     `(#:tests? #f                      ;no tests
+       #:configure-flags `("-DSHARED=ON"
+                           ,"-DCMAKE_C_COMPILER=mpicc"
+                           ,"-DCMAKE_CXX_COMPILER=mpic++"
+                           ,"-DCMAKE_VERBOSE_MAKEFILE=1"
+                           ,(string-append "-DGKLIB_PATH=../parmetis-4.0.3/metis/GKlib")
+                           ,(string-append "-DMETIS_PATH=../parmetis-4.0.3/metis" ))))

We can avoid hard-coding the version string here, like this:

------
diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index bdfa051db1..f0ebdd6009 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -3348,8 +3348,10 @@ schemes.")
                            ,"-DCMAKE_C_COMPILER=mpicc"
                            ,"-DCMAKE_CXX_COMPILER=mpic++"
                            ,"-DCMAKE_VERBOSE_MAKEFILE=1"
-                           ,(string-append "-DGKLIB_PATH=../parmetis-4.0.3/metis/GKlib")
-                           ,(string-append "-DMETIS_PATH=../parmetis-4.0.3/metis" ))))
+                           ,(string-append "-DGKLIB_PATH=../parmetis-"
+                                           ,(package-version this-version) "/metis/GKlib"))
+                           ,(string-append "-DMETIS_PATH=../parmetis-"
+                                           ,(package-version this-version) "/metis"))))
     (home-page "http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview")
     (synopsis "Parallel Graph Partitioning and Fill-reducing Matrix Ordering")
     (description
------

+    (license license:asl2.0)))

There is a problem with the licensing, however. In the source code,
LICENSE.txt contains this:

------
Copyright & License Notice
--------------------------

The ParMETIS package is copyrighted by the Regents of the 
University of Minnesota. It can be freely used for educational and 
research purposes by non-profit institutions and US government 
agencies only. Other organizations are allowed to use ParMETIS 
only for evaluation purposes, and any further uses will require prior 
approval. The software may not be sold or redistributed without prior 
approval. One may make copies of the software for their use provided 
that the copies, are not sold or distributed, are used under the same 
terms and conditions.

As unestablished research software, this code is provided on an  
``as is'' basis without warranty of any kind, either expressed or
implied. The downloading, or executing any part of this software
constitutes an implicit agreement to these terms. These terms and 
conditions are subject to change at any time without prior notice.
------

I saw in 'metis/Changelog' that a relicensing to Apache 2 was done for
the "metis" program in version 5.0.3. But, this is "parmetis", version
4.0.3.

If the copyright owners intend to release this as free software, they
need to change the 'LICENSE.txt' file.




Information forwarded to guix-patches@HIDDEN:
bug#47613; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Apr 2021 10:25:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 06:25:21 2021
Received: from localhost ([127.0.0.1]:39306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTitc-0004ga-UC
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 06:25:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:44664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Franck.Perignon@HIDDEN>)
 id 1lTiBZ-0003CP-FV
 for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 05:39:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49190)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1)
 (envelope-from <Franck.Perignon@HIDDEN>)
 id 1lTiBZ-0005Di-6M
 for guix-patches@HIDDEN; Tue, 06 Apr 2021 05:39:49 -0400
Received: from zm-mta-out-3.u-ga.fr ([152.77.200.56]:41864)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1)
 (envelope-from <Franck.Perignon@HIDDEN>)
 id 1lTiBW-0003jO-OC
 for guix-patches@HIDDEN; Tue, 06 Apr 2021 05:39:48 -0400
Received: from zm-mta-out.u-ga.fr (zm-mta-out.u-ga.fr [152.77.200.53])
 by zm-mta-out-3.u-ga.fr (Postfix) with ESMTP id 273F941A38
 for <guix-patches@HIDDEN>; Tue,  6 Apr 2021 11:39:40 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=univ-grenoble-alpes.fr; s=2020; t=1617701980;
 bh=5z7JLgjQgY3nwX03BsWxxJRqRwJDgr/bcd/OZc8XjSs=;
 h=From:Subject:Date:To:From;
 b=UZSvyVTvxNwfQP9oT7xLf8qJT/v70AAthn2GFpP0G51pWLcaQZZsT9Wv49JrV+WvE
 xK9nrv5BJKRtsiiMzIM6eQCe+Thz0D0cvGIhQFJQ8N3zZAHM1zBIQ8FQll54WgF30H
 MTnJjimRoKb/sXuwiwumKehG2GgHcetPp8HmsmMvD9VwXDXFMcE8FIfLREMj8EF8w5
 hGRdg+lMX4g+NMqSe6jhkWwcubCaK6rB7x1VJvRIkUmZ1mlwoItwZruEmxT93UIPdE
 gvlqZdG/xbZcmkgF78slsDugPUw61/MM63ByTdvUoMZaj385zRTfsPIpwmSH6pGVAh
 yjbVWlOrLxYLg==
Received: from smtps.univ-grenoble-alpes.fr (smtps1.u-ga.fr [152.77.1.30])
 by zm-mta-out.u-ga.fr (Postfix) with ESMTP id 20B97804D5
 for <guix-patches@HIDDEN>; Tue,  6 Apr 2021 11:39:40 +0200 (CEST)
Received: from [192.168.0.44] (91-170-36-193.subs.proxad.net [91.170.36.193])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: perignfr@HIDDEN)
 by smtps.univ-grenoble-alpes.fr (Postfix) with ESMTPSA id 0A955187E12
 for <guix-patches@HIDDEN>; Tue,  6 Apr 2021 11:39:40 +0200 (CEST)
From: =?utf-8?Q?Franck_P=C3=A9rignon?= <Franck.Perignon@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_DC0D318C-17FA-49FF-B148-433E6811344D"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.60.0.2.21\))
Subject: =?utf-8?B?W1BBVENIXcKgYWRkIHBhcm1ldGlz?=
Message-Id: <F54E8E4E-1750-4BB9-9676-8E70195ECDFF@HIDDEN>
Date: Tue, 6 Apr 2021 11:39:39 +0200
To: guix-patches@HIDDEN
X-Mailer: Apple Mail (2.3654.60.0.2.21)
X-Greylist: Whitelist-UGA SMTP Authentifie (perignfr@HIDDEN)
 via smtps-465 ACL (110)
Received-SPF: pass client-ip=152.77.200.56;
 envelope-from=Franck.Perignon@HIDDEN;
 helo=zm-mta-out-3.u-ga.fr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 06 Apr 2021 06:25:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)


--Apple-Mail=_DC0D318C-17FA-49FF-B148-433E6811344D
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Hello,

the attached file adds parmetis =
(http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview) in guix, =
saved in gnu/packages/math.scm


--Apple-Mail=_DC0D318C-17FA-49FF-B148-433E6811344D
Content-Disposition: attachment;
	filename=0001-PATCH-Add-parmetis.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-PATCH-Add-parmetis.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=20a5ab2390787b144c76e8a0838f60f841e37b37bd=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20=3D?UTF-8?q?Franck=3D20P=3DC3=3DA9rignon?=3D=0A=
=20<Franck.Perignon@HIDDEN>=0ADate:=20Tue,=206=20Apr=20=
2021=2009:07:23=20+0000=0ASubject:=20[PATCH]=20[PATCH]=20Add=20parmetis=0A=
=0A---=0A=20gnu/packages/maths.scm=20|=2039=20=
+++++++++++++++++++++++++++++++++++++++=0A=201=20file=20changed,=2039=20=
insertions(+)=0A=0Adiff=20--git=20a/gnu/packages/maths.scm=20=
b/gnu/packages/maths.scm=0Aindex=205cd11ec435..bdfa051db1=20100644=0A---=20=
a/gnu/packages/maths.scm=0A+++=20b/gnu/packages/maths.scm=0A@@=20-43,6=20=
+43,7=20@@=0A=20;;;=20Copyright=20=C2=A9=202020=20Simon=20Tournier=20=
<zimon.toutoune@HIDDEN>=0A=20;;;=20Copyright=20=C2=A9=202020=20Martin=20=
Becze=20<mjbecze@HIDDEN>=0A=20;;;=20Copyright=20=C2=A9=202021=20Gerd=20=
Heber=20<gerd.heber@HIDDEN>=0A+;;;=20Copyright=20=C2=A9=202021=20=
Franck=20P=C3=A9rignon=20<franck.perignon@HIDDEN>=0A=20=
;;;=0A=20;;;=20This=20file=20is=20part=20of=20GNU=20Guix.=0A=20;;;=0A@@=20=
-3326,6=20+3327,44=20@@=20recursive-bisection,=20multilevel=20k-way,=20=
and=20multi-constraint=20partitioning=0A=20schemes.")=0A=20=20=20=20=20=
(license=20license:asl2.0)))=20=20=20=20=20=20=20=20=20=20;As=20of=20=
version=205.0.3=0A=20=0A+(define-public=20parmetis=0A+=20=20(package=0A+=20=
=20=20=20(name=20"parmetis")=0A+=20=20=20=20(version=20"4.0.3")=0A+=20=20=
=20=20(source=0A+=20=20=20=20=20(origin=0A+=20=20=20=20=20=20=20(method=20=
url-fetch)=0A+=20=20=20=20=20=20=20(uri=20(string-append=20=
"http://glaros.dtc.umn.edu/gkhome/fetch/sw/parmetis/"=0A+=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
"parmetis-"=20version=20".tar.gz"))=0A+=20=20=20=20=20=20=20(sha256=0A+=20=
=20=20=20=20=20=20=20(base32=0A+=20=20=20=20=20=20=20=20=20=
"0pvfpvb36djvqlcc3lq7si0c5xpb2cqndjg8wvzg35ygnwqs5ngj"))))=0A+=20=20=20=20=
(build-system=20cmake-build-system)=0A+=20=20=20=20(native-inputs=20=
`(("gcc"=20,gcc)=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20("openmpi"=20,openmpi)))=0A+=20=20=20=20(arguments=0A+=20=20=20=20=
=20`(#:tests?=20#f=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20;no=20tests=0A+=20=20=20=20=20=20=20#:configure-flags=20=
`("-DSHARED=3DON"=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20,"-DCMAKE_C_COMPILER=3Dmpicc"=0A+=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
,"-DCMAKE_CXX_COMPILER=3Dmpic++"=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20,"-DCMAKE_VERBOSE_MAKEFILE=3D1"=0A=
+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20,(string-append=20"-DGKLIB_PATH=3D../parmetis-4.0.3/metis/GKlib")=
=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20,(string-append=20"-DMETIS_PATH=3D../parmetis-4.0.3/metis"=20=
))))=0A+=20=20=20=20(home-page=20=
"http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview")=0A+=20=20=20=20=
(synopsis=20"Parallel=20Graph=20Partitioning=20and=20Fill-reducing=20=
Matrix=20Ordering")=0A+=20=20=20=20(description=0A+=20=20=20=20=20=
"ParMETIS=20is=20an=20MPI-based=20parallel=20library=20that=20implements=20=
a=20variety=20of=20algorithms=0A+=20=20=20=20=20=20for=20partitioning=20=
unstructured=20graphs,=20meshes,=20and=20for=20computing=20fill-reducing=0A=
+=20=20=20=20=20=20orderings=20of=20sparse=20matrices.=20=20ParMETIS=20=
extends=20the=20functionality=20provided=0A+=20=20=20=20=20=20by=20METIS=20=
and=20includes=20routines=20that=20are=20especially=0A+=20=20=20=20=20=20=
suited=20for=20parallel=20AMR=20computations=20and=20large=20scale=20=
numerical=20simulations.=0A+=20=20=20=20=20=20The=20algorithms=20=
implemented=20in=20ParMETIS=20are=20based=20on=20the=20parallel=20=
multilevel=20k-way=0A+=20=20=20=20=20=20graph-partitioning,=20adaptive=20=
repartitioning,=20and=20parallel=20multi-constrained=0A+=20=20=20=20=20=20=
partitioning=20schemes=20developed=20in=20our=20lab.")=0A+=20=20=20=20=
(license=20license:asl2.0)))=0A+=0A+=0A+=0A=20(define-public=20p4est=0A=20=
=20=20(package=0A=20=20=20=20=20(name=20"p4est")=0A--=20=0A2.25.1=0A=0A=

--Apple-Mail=_DC0D318C-17FA-49FF-B148-433E6811344D--




Acknowledgement sent to Franck Pérignon <Franck.Perignon@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#47613; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 9 Apr 2021 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.